> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factiliza.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RUC - Representante

> Retorna representantes segun el RUC



## OpenAPI

````yaml GET /ruc/representante/{ruc}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.factiliza.com/v1
security:
  - bearerAuth: []
paths:
  /ruc/representante/{ruc}:
    get:
      tags:
        - ruc
      description: Retorna representantes segun el RUC
      parameters:
        - name: ruc
          in: path
          required: true
          style: simple
          description: El RUC a consultar
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ruc response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ruc-representate'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    ruc-representate:
      type: object
      properties:
        status:
          type: integer
          description: El código de estado de la respuesta
        success:
          type: boolean
          description: El estado de la respuesta  true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          type: array
          description: Datos detallados de la respuesta
          items:
            type: object
            properties:
              tipo_de_documento:
                type: string
                description: Tipo de documento del representate
              numero_de_documento:
                type: string
                description: Numero de documento del representante
              nombre:
                type: string
                description: Nombre del representante
              cargo:
                type: string
                description: Cargo del representate
              fecha_desde:
                type: string
                description: Fecha desde
      example:
        status: 200
        message: Exito
        data:
          - tipo_de_documento: DNI
            numero_de_documento: 1*****72
            nombre: PAIMO *****O ***NA
            cargo: GERENTE GENERAL
            fecha_desde: 30/09/2002
    error:
      required:
        - status
        - message
        - success
      type: object
      properties:
        status:
          type: integer
          format: int32
        success:
          type: boolean
        message:
          type: string
      example:
        status: 400
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````